import "./tasks/rmats.wdl" as rmats


workflow {{ project_name }} {
    String sample_id
    File b1_txt_file
    Array[Array[File]] b1_txt = read_csv(b1_txt_file)
    File b2_txt_file
    Array[Array[File]] b2_txt = read_csv(b2_txt_file)
    File reference_gtf_file
    

    String rmats_docker
    String rmats_cluster
    String disk_size	

	call rmats.rmats as rmats {
		input:
		b1_txt_file = b1_txt_file
		b2_txt_file = b2_txt_file
		reference_gtf_file = reference_gtf_file,
		sample_id = sample_id,
		docker = rmats_docker,
		cluster = rmats_cluster,
		disk_size = disk_size
	}
}